import { CommandItem } from '../types';
interface SpreadFunction {
    maxArgs: number;
    minArgs: number;
    name: string;
    typeName: string;
}
export declare function getAllFunctions(): SpreadFunction[];
export declare function getAllFunctionMap(): Map<string, any>;
export declare function getFunctionByName(name: string): any;
export type FunctionType = 'financial' | 'date-time' | 'math-trig' | 'lookup-reference' | 'statistical' | 'text' | 'logical' | 'information' | 'engineering' | 'database' | 'web';
export declare const FUNCTION_TYPES: FunctionType[];
export declare function getFunctionsByType(type: FunctionType): string[];
export declare function getFunctionItemByType(type: FunctionType): CommandItem;
export declare function getAllFunctionTypeItems(): CommandItem[];
export declare function getAllFunctionItems(): {
    id: string;
    name: any;
    classes: string[];
    subText: any;
}[];
export {};
